Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

# Class RequestModel

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.RequestModel

All Implemented Interfaces:
  `Serializable`

public class RequestModel extends CoordinatorConnectionModel

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Long`
`count`
`String`
`type`
`Long`
`workerId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`coordinatorId`

### Fields inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

`id`

## Constructor Summary

Constructors
Constructor
Description
`RequestModel()`
`RequestModel(Long id, String type, Long count)`
`RequestModel(String type, Long count)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.monitoring.models.CoordinatorConnectionModel

`getCoordinatorHostId, setCoordinatorHostId`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### workerId

public Long workerId

### type

public String type

### count

public Long count

## Constructor Details

### RequestModel

public RequestModel()

### RequestModel

public RequestModel(String type, Long count)

### RequestModel

public RequestModel(Long id, String type, Long count)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`